Create bucket type icon upload intent
Creates a signed upload intent for uploading a custom icon image for an integration bucket type. Same internal bucket as the content-type icon flow; the resulting upload_id goes on IntegrationBucketType.icon_upload_id.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
clientId?string|null
Format
uuidextension?string
Match
^[a-zA-Z0-9]{1,8}$[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/CreateIntegrationBucketTypeIconUploadIntent" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"signedToken": "string",
"uploadPath": "string",
"expiresAt": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}